## Class TCachingStatement

Description

Implements interfaces:

- IMappedStatement

TCacheingStatement class.

- since: 3.1
- version: $Id: TCachingStatement.php 1911 2007-05-08 08:06:13Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TCachingStatement.php (line 21)

Method Summary
TCachingStatement __construct (TMappedStatement $statement)
void createCommand (mixed $connection, mixed $parameter, [mixed $skip = null], [mixed $max = null])
void executeInsert (mixed $connection, mixed $parameter)
void executeQueryForList (mixed $connection, mixed $parameter, [mixed $result = null], [mixed $skip = -1], [mixed $max = -1], [mixed $delegate = null])
void executeQueryForMap (mixed $connection, mixed $parameter, mixed $keyProperty, [mixed $valueProperty = null], [mixed $skip = -1], [mixed $max = -1], [mixed $delegate = null])
void executeQueryForObject (mixed $connection, mixed $parameter, [mixed $result = null])
void executeUpdate (mixed $connection, mixed $parameter)
void getCacheKey (mixed $object)
void getID ()
void getManager ()
void getStatement ()
Methods
Constructor __construct (line 25)

- access: public

TCachingStatement __construct (TMappedStatement $statement)
createCommand (line 102)

- access: protected

void createCommand (mixed $connection, mixed $parameter, [mixed $skip = null], [mixed $max = null])
executeInsert (line 64)

- access: public

void executeInsert (mixed $connection, mixed $parameter)
executeQueryForList (line 69)

- access: public

void executeQueryForList (mixed $connection, mixed $parameter, [mixed $result = null], [mixed $skip = -1], [mixed $max = -1], [mixed $delegate = null])
executeQueryForMap (line 45)

- access: public

void executeQueryForMap (mixed $connection, mixed $parameter, mixed $keyProperty, [mixed $valueProperty = null], [mixed $skip = -1], [mixed $max = -1], [mixed $delegate = null])
executeQueryForObject (line 83)

- access: public

void executeQueryForObject (mixed $connection, mixed $parameter, [mixed $result = null])
executeUpdate (line 59)

- access: public

void executeUpdate (mixed $connection, mixed $parameter)
getCacheKey (line 96)

- access: protected

void getCacheKey (mixed $object)
getID (line 30)

- access: public

void getID ()
getManager (line 40)

- access: public

void getManager ()
getStatement (line 35)

- access: public

void getStatement ()

Documentation generated on Mon, 21 Apr 2008 11:32:15 -0400 by phpDocumentor 1.3.0RC4